EC_NODE_STR_SET_STR(3)

NAME
ec_node_str_set_str - Set the string to match on a string node.

SYNOPSIS
#include <ecoli/node_str.h>

int ec_node_str_set_str(
    struct ec_node   *node,  /* The string node. */
    const char       *str    /* The string to match. It is duplicated internally. */
);

RETURN VALUE

0 on success, -1 on error (errno is set).

SEE ALSO

ec_node_str(3)

COPYRIGHT

Copyright (C) 2010-2026 Olivier Matz, Robin Jarry.